// subPackage/page/pages/noPermission/noPermission.js
const wxService = require('../../../../utils/wxService')
let intervalid; 

wxService.page({

  /**
   * 页面的初始数据
   */
  data: {
    num: 3
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function () {
    this.countdown()
  },
  countdown(){
    const { num } = this.data
    if (num <= 0) {
      clearInterval(intervalid)
      return
    }
    intervalid = setTimeout(() => {
      this.setData({
        num: num - 1
      },()=>{
        this.countdown();
        this.goMall()
      });
    }, 1000)
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
  },
  goMall() {
    clearInterval(intervalid)
    wxService.router(`/pages/userCenter/userCenter`).replace()
  },
  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
   
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
    clearTimeout(intervalid)
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})